<?php
namespace Claromentis\Projects\Event;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_f73dab60" . "6630b3886" . "45c4f7d3f" . "bb13bb" => base64_decode("YXJyYXlfbW" . "VyZ2U="));
class ProjectPreDeleteEvent extends ProjectEvent
{
    const NAME = 'projects.project.delete.pre';
    private array $data;
    public function GetData() : array
    {
        return $this->data;
    }
    public function SetData(array $_a71dc9333bd8ad95d55d6624b477875f) : void
    {
        $this->data = $_a71dc9333bd8ad95d55d6624b477875f;
    }
    public function MergeData(array $_a71dc9333bd8ad95d55d6624b477875f) : void
    {
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_f73dab60663" . "0b388645c4f7" . "d3fbb13bb"]($this->data, $_a71dc9333bd8ad95d55d6624b477875f);
    }
}